def tihuan_hunningtu(old_bianma, old_mc, old_jg, new_name):
    if '膨胀' in new_name:
        return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
    if 'C10' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212101', 'mc': 'C10泵送商品砼', 'jg': '329'}
    if 'C15' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212102', 'mc': 'C15泵送商品砼', 'jg': '332'}
    if 'C20' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212103', 'mc': 'C20泵送商品砼', 'jg': '342'}
    if 'C25' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212104', 'mc': 'C25泵送商品砼', 'jg': '350'}
    if 'C30' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212105', 'mc': 'C30泵送商品砼', 'jg': '362'}
    if 'C35' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212106', 'mc': 'C35泵送商品砼', 'jg': '362'}
    if 'C40' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212107', 'mc': 'C40泵送商品砼', 'jg': '362'}
    if 'C45' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212108', 'mc': 'C45泵送商品砼', 'jg': '362'}
    if 'C50' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212109', 'mc': 'C50泵送商品砼', 'jg': '362'}
    if 'C55' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212110', 'mc': 'C55泵送商品砼', 'jg': '362'}
    if 'C60' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212111', 'mc': 'C60泵送商品砼', 'jg': '362'}
    if 'C70' in new_name:
        return {'bianma': old_bianma, 'new_bianma': '80212112', 'mc': 'C70泵送商品砼', 'jg': '362'}
    return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': old_mc, 'jg': old_jg}
